Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world
Interface IWorldAccess

All Known Implementing Classes:
  RenderGlobal, WorldManager

    public interface IWorldAccess

Method Summary
`void` | `broadcastSound(int var1, int var2, int var3, int var4, int var5)`
`void` | `destroyBlockPartially(int var1, int var2, int var3, int var4, int var5)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
`void` | `func_85102_a(EntityPlayer var1, String var2, double var3, double var5, double var7, float var9, float var10)`
`void` | `markBlockForRenderUpdate(int var1, int var2, int var3)` On the client, re-renders this block.
`void` | `markBlockForUpdate(int var1, int var2, int var3)` On the client, re-renders the block.
`void` | `markBlockRangeForRenderUpdate(int var1, int var2, int var3, int var4, int var5, int var6)` On the client, re-renders all blocks in this range, inclusive.
`void` | `obtainEntitySkin(Entity var1)` Start the skin for this entity downloading, if necessary, and increment its reference counter
`void` | `playAuxSFX(EntityPlayer var1, int var2, int var3, int var4, int var5, int var6)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
`void` | `playRecord(String var1, int var2, int var3, int var4)` Plays the specified record.
`void` | `playSound(String var1, double var2, double var4, double var6, float var8, float var9)` Plays the specified sound.
`void` | `releaseEntitySkin(Entity var1)` Decrement the reference counter for this entity's skin image data
`void` | `spawnParticle(String var1, double var2, double var4, double var6, double var8, double var10, double var12)` Spawns a particle.

Method Detail

### markBlockForUpdate

    void markBlockForUpdate(int var1,
                            int var2,
                            int var3)

  On the client, re-renders the block. On the server, sends the block to the client (which will re-render it), including the tile entity description packet if applicable. Args: x, y, z

### markBlockForRenderUpdate

    void markBlockForRenderUpdate(int var1,
                                  int var2,
                                  int var3)

  On the client, re-renders this block. On the server, does nothing. Used for lighting updates.

### markBlockRangeForRenderUpdate

    void markBlockRangeForRenderUpdate(int var1,
                                       int var2,
                                       int var3,
                                       int var4,
                                       int var5,
                                       int var6)

  On the client, re-renders all blocks in this range, inclusive. On the server, does nothing. Args: min x, min y, min z, max x, max y, max z

### playSound

    void playSound(String var1,
                   double var2,
                   double var4,
                   double var6,
                   float var8,
                   float var9)

  Plays the specified sound. Arg: soundName, x, y, z, volume, pitch

### func_85102_a

    void func_85102_a(EntityPlayer var1,
                      String var2,
                      double var3,
                      double var5,
                      double var7,
                      float var9,
                      float var10)

### spawnParticle

    void spawnParticle(String var1,
                       double var2,
                       double var4,
                       double var6,
                       double var8,
                       double var10,
                       double var12)

  Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ

### obtainEntitySkin

    void obtainEntitySkin(Entity var1)

  Start the skin for this entity downloading, if necessary, and increment its reference counter

### releaseEntitySkin

    void releaseEntitySkin(Entity var1)

  Decrement the reference counter for this entity's skin image data

### playRecord

    void playRecord(String var1,
                    int var2,
                    int var3,
                    int var4)

  Plays the specified record. Arg: recordName, x, y, z

### broadcastSound

    void broadcastSound(int var1,
                        int var2,
                        int var3,
                        int var4,
                        int var5)

### playAuxSFX

    void playAuxSFX(EntityPlayer var1,
                    int var2,
                    int var3,
                    int var4,
                    int var5,
                    int var6)

  Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).

### destroyBlockPartially

    void destroyBlockPartially(int var1,
                               int var2,
                               int var3,
                               int var4,
                               int var5)

  Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD